"""empty message

Revision ID: 637efd08f5b5
Revises: 09035fc0d814
Create Date: 2020-03-04 12:03:10.503786

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '637efd08f5b5'
down_revision = '09035fc0d814'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('companies', 'startup',
                    existing_type=mysql.TINYINT(display_width=1),
                    nullable=False)
    op.alter_column('fairs', 'dates',
                    existing_type=mysql.VARCHAR(length=100),
                    nullable=False)
    op.add_column('participations', sa.Column('accepted_participation_terms', sa.Boolean(), nullable=False))
    op.add_column('participations', sa.Column('accepted_permitted_items_terms', sa.Boolean(), nullable=False))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('participations', 'accepted_permitted_items_terms')
    op.drop_column('participations', 'accepted_participation_terms')
    op.alter_column('fairs', 'dates',
                    existing_type=mysql.VARCHAR(length=100),
                    nullable=True)
    op.alter_column('companies', 'startup',
                    existing_type=mysql.TINYINT(display_width=1),
                    nullable=True)
    # ### end Alembic commands ###
